## tinyssh 20190101

=== Makefile ===
compile: make-tinyssh.sh
	sh -e make-tinyssh.sh
clean:
	rm -rf build
install:
	sh -e make-install.sh $(DESTDIR)
deb:
	dpkg-buildpackage -b -rfakeroot -us -uc
