## tinyssh 20180101

=== debian/changelog ===
tinyssh (20180101-1) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/systemd/tinysshd.socket - changed ConditionPathExists
    /etc/tinyssh/disable_tinysshd_tcp -> /etc/tinyssh/disable_tinysshd
  * d/systemd/tinysshd@.service - removed Restart=on-failure
  * d/rules - print debug log when compilation fails
  * d/rules - switched from dh_systemd_enable to dh_installsystemd
  * d/upstream/signing-key.asc - added
  * d/watch - added gpg signature checking
  * d/compat - switched to debhelper 11
  * d/control - bump to standards version 4.1.3
  * d/control - removed useless 'Conflicts: tinyssh-run'
  * d/tinysshd.lintian-overrides - added no-upstream-changelog
  * New upstream version 20180101:
      - crypto library speedup
      - setting close-on-exec for /dev/urandom filedescriptor
      - cleanup in code
  * Moved to unstable

  [ Ondřej Nový ]
  * Move source of test into separate file: debian/tests/checksshstring.c

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 03 Jan 2018 07:42:15 +0100

tinyssh (20160812-1) experimental; urgency=medium

  * Initial release. (Closes: #832611)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 12 Aug 2016 06:03:38 +0200
