=== debian/control ===
Source: tinyssh
Section: net
Priority: optional
Build-Depends: debhelper (>= 11)
Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
Homepage: https://mojzis.com/software/tinyssh/
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tinyssh.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tinyssh.git

Package: tinysshd
Depends: systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ssh-server
Architecture: any
Description: Tiny SSH server - daemon
 TinySSH is a minimalistic SSH server which implements only a subset of
 SSHv2 features.
 TinySSH supports only secure cryptography (minimum 128-bit security, protected
 against cache-timing attacks) ED25519, Curve25519(X25519), CHACHA20POLY1305,
 also older standard NISTP256 ECDSA, NISTP256 ECDH, AES256 + HMAC-SHA256.
 TinySSH implements only safe public-key authentication,
 password or hostbased authentication is not implemented.
 TinySSH has less than 100000 words of code, so it's very easily auditable.
