=== debian/tests/control ===
Tests: tinysshdtest
Depends: tinysshd, gcc
Restrictions: allow-stderr
