## tinyssh 20180201

=== debian/changelog ===
tinyssh (20180201-1) unstable; urgency=medium

  * d/tests/01makekeyprintkey - added test for
    tinysshd-makekey and tinysshd-printkey tools
  * d/tests/02handshake - added simple python3 tests
    which connects to local tinysshd server and
    checks if TinySSH supports chacha20poly1305 and also checks
    if TinySSH rejects bad (zero) public-key
  * autopkgtests - removed autopkgtest written in C
  * autopkgtests - switched env. variable ADTTMP to AUTOPKGTEST_TMP
  * d/control - dependency on systemd instead of systemd-sysv
  * New upstream version 20180201:
      - removed little-endian detection/optimization and added full
        processor independent implementation of poly1305,chacha20
      - cleanups
      - added KEX curve25519-sha256
      - minor fixes

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Thu, 01 Feb 2018 06:59:37 +0100
