=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tinyssh.git
 
 Package: tinysshd
-Depends: systemd-sysv,
+Depends: systemd,
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: ssh-server
