=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


override_dh_installsystemd:
	dh_installsystemd -ptinysshd tinysshd@.service
	dh_installsystemd -ptinysshd tinysshd.socket

override_dh_auto_install:
	echo >/dev/null

override_dh_auto_build:
	dh_auto_build || cat build/log

%:
	dh $@
