=== debian/tests/control ===
Tests: 01makekeyprintkey, 02handshake
Depends: tinysshd, python3
Restrictions: allow-stderr
