## tinyssh 20190101

=== debian/changelog ===
tinyssh (20190101-1ubuntu1) jammy; urgency=medium

  * d/p/openssh-8.9-workaround.patch: upstream cherry-pick to fix the package
    against OpenSSL 8.9 (LP: #1964585)

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 11 Mar 2022 12:15:11 +0100

tinyssh (20190101-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:14:30 +0000

tinyssh (20190101-1) unstable; urgency=medium

  * d/tests - added 03exitcodes test, it creates ssh connection, exits
    with status 0-255 and checks if tinyssh server sends the status code
    to the client
  * d/tests - added 04sftp test, it tests sftp subsystem
  * d/tests - added 05authorizedkeys, it tests if tinyssh rejects login
    using malformed authorized_keys
  * d/upstream - updated minimal signing-key.asc, removed extra signatures
  * d/tests - fixed 02handshake tests. Runs and tests tinyssh on port 222,
    because default port 22 in autopkgtest environment is used by OpenSSH.
  * d/tests - added 06transfer, tries to send random data to tinyssh server,
    than tries to receive data from tinyssh server and compares checksums.
  * New upstream version 20190101:
    - tinysshd binary optimized for smaller size
    - created multi-call tinysshd binary
    - removed aes256,nistp256,hmacsha256
    - added postquantum KEX sntrup4591761x25519-sha512@tinyssh.org
  * d/.links - tinysshd-{printkey,makekey} is symbolic link to tinysshd binary
  * d/control - bump to standards version 4.3.0 (no modifications)
  * d/tinysshd.default - removed aes256,nistp256,hmacsha256 options
  * d/control - removed info about aes256,nistp256,hmacsha256
  * d/compat - bump debhelper compat level to 12 and use debhelper-compat

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 02 Jan 2019 06:01:58 +0100

tinyssh (20180201-2) unstable; urgency=medium

  * d/copyright - fixed url http->https
  * d/control - bump to standards version 4.2.1
  * d/control - Vcs-* moved to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout
  * d/upstream/metadata - added
  * d/TODO - removed
  * d/control - removed dependency on systemd (Closes: #911539)
  * d/tinysshd.lintian-overrides removed
  * d/tests/control - added restrictions isolation-container and
    added dependency on systemd-sysv, systemd

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 23 Oct 2018 14:49:24 +0200
