=== debian/control ===
Source: tinyssh
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 12)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
Homepage: https://mojzis.com/software/tinyssh/
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/tinyssh.git
Vcs-Browser: https://salsa.debian.org/debian/tinyssh

Package: tinysshd
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: ssh-server
Architecture: any
Description: Tiny SSH server - daemon
 TinySSH is a minimalistic SSH server which implements only a subset of
 SSHv2 features.
 TinySSH supports only secure cryptography (minimum 128-bit security, protected
 against cache-timing attacks) ED25519, Curve25519(X25519), CHACHA20POLY1305.
 TinySSH implements only safe public-key authentication,
 password or hostbased authentication is not implemented.
 TinySSH has less than 100000 words of code, so it's very easily auditable.
