=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
 
 override_dh_installsystemd:
 	dh_installsystemd -ptinysshd tinysshd@.service
