=== debian/tests/control ===
Tests: 01makekeyprintkey
Depends: tinysshd
Restrictions: allow-stderr

Tests: 02handshake
Depends: systemd-sysv, systemd, tinysshd, python3, ucspi-tcp
Restrictions: allow-stderr, needs-root, isolation-container

Tests: 03exitcodes
Depends: tinysshd, openssh-client, ucspi-tcp
Restrictions: allow-stderr, needs-root

Tests: 04sftp
Depends: tinysshd, openssh-client, openssh-sftp-server, ucspi-tcp
Restrictions: allow-stderr, needs-root

Tests: 05authorizedkeys
Depends: tinysshd, openssh-client, ucspi-tcp
Restrictions: allow-stderr, needs-root

Tests: 06transfer
Depends: tinysshd, openssh-client, ucspi-tcp
Restrictions: allow-stderr, needs-root
