## tinyssh 20220311

=== debian/changelog ===
tinyssh (20220311-2) unstable; urgency=medium

  [ Colin Watson ]
  * d/rules: ensure non-zero exit status when dh_auto_build fails

  [ Jan Mojžíš ]
  * debian/systemd/tinysshd: update systemd service to accept status code 111

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 16 Mar 2022 17:19:43 +0100

tinyssh (20220311-1) unstable; urgency=medium

  * New upstream version 20220311
    - fixed build on big-endian platforms

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 12 Mar 2022 12:55:53 +0000

tinyssh (20220305-1) unstable; urgency=medium

  * d/watch - fixed github perl regexp
  * d/control - bump debhelper compat level to 13
  * d/control - bump to standards version 4.6.0 (no modifications)
  * d/control - added Rules-Requires-Root: no
  * d/tests - added 07kex test, tests supported KEX including
    new sntrup761x25519-sha512@openssh.com
  * d/tests - removed unnecessary restrictions allow-stderr, needs-root
  * d/tests - added 08badauth test, it tests if tinysshd rejects login
    when authorized_keys are stored in directory with group/other writable
    permitions
  * d/rules - fixed cross-compile build
  * d/tinysshd.manpages man/tinysshd-{make,print}key.1 renamed to
    man/tinysshd-{make,print}key.8
  * d/rules - disable some case tests to allow reproducible build
  * New upstream version 20220305
    - removed sntrup4591761x25519-sha512@tinyssh.org
    - added sntrup761x25519-sha512@openssh.com
    - fixed error message when second channel is requested (Closes: 995146)
    - man/tinysshd-{make,print}key.1 -> man/tinysshd-{make,print}key.8
    - added tinysshnoneauthd binary
    - workaround for incoming packets that doesn't honor
      the max. packet length (Closes: 1006801)
  * d/watch - fixed regexp

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Thu, 10 Mar 2022 17:43:02 +0000
