=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: tinyssh
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
+Build-Depends: debhelper-compat (= 13)
+Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Homepage: https://mojzis.com/software/tinyssh/
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/tinyssh.git
 Vcs-Browser: https://salsa.debian.org/debian/tinyssh
+Rules-Requires-Root: no
 
 Package: tinysshd
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: ssh-server
 Architecture: any
 Description: Tiny SSH server - daemon
