## tinyssh 20220801

=== debian/changelog ===
tinyssh (20220801-1) unstable; urgency=medium

  * New upstream version 20220801
  * d/gbp.conf added new gbp.conf configuration file
  * d/control: bump Standards-Version to 4.6.1, no changes

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 01 Aug 2022 08:28:20 +0200
