## tinyssh 20230101

=== debian/changelog ===
tinyssh (20230101-1) unstable; urgency=medium

  * New upstream version 20230101
  * d/copyright: updated, generated using 'cme update dpkg-copyright'
  * d/copyright: update to CC0
  * d/gbp.conf: debian-branch = main

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 01 Jan 2023 09:33:58 +0100

tinyssh (20220801-2) unstable; urgency=medium

  * d/watch fixed url

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 25 Oct 2022 17:08:45 +0200
