=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13)
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Homepage: https://mojzis.com/software/tinyssh/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/tinyssh.git
 Vcs-Browser: https://salsa.debian.org/debian/tinyssh
 Rules-Requires-Root: no
