=== debian/tests/control ===
Tests: 01makekeyprintkey
Depends: tinysshd

Tests: 02handshake
Depends: python3, systemd, systemd-sysv, tinysshd, ucspi-tcp
Restrictions: allow-stderr, needs-root, isolation-container

Tests: 03exitcodes
Depends: openssh-client, tinysshd, ucspi-tcp

Tests: 04sftp
Depends: openssh-client, openssh-sftp-server, tinysshd, ucspi-tcp

Tests: 05authorizedkeys
Depends: openssh-client, tinysshd, ucspi-tcp

Tests: 06transfer
Depends: openssh-client, tinysshd, ucspi-tcp

Tests: 07kex
Depends: openssh-client, tinysshd, ucspi-tcp

Tests: 08badauth
Depends: openssh-client, tinysshd, ucspi-tcp
