=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/tinyssh-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/.+\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/janmojzis/tinyssh/tags .*/(\d\S+)\.tar\.gz
