## tinyssh 20240101

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 compile: make-tinyssh.sh
 	sh -e make-tinyssh.sh
+cross-compile: make-tinysshcc.sh
+	sh -e make-tinysshcc.sh
 clean:
 	rm -rf build
 install:
