=== debian/changelog ===
tinyssh (20240101-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Install systemd units into /usr, update hard-coded paths. (Closes: #1060081)

  [ Jan Mojžíš ]
  * d/copyright: use link to the CC0 file
  * d/copyright: bump my copyright year

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 08 Jan 2024 09:56:58 +0100

tinyssh (20240101-1) unstable; urgency=medium

  * New upstream version 20240101
  * d/p/0001-channel_forkpty.c-fix-race-condition-79.patch removed
  * d/p/0003-channel.c-ignore-SSH_MSG_CHANNEL_EOF-in-terminal-mod.patch removed
  * d/p/0004-implementation-kex-strict-s-v00-openssh.com-82.patch removed
  * d/watch: remove filenamemangle and use characters @ANY_VERSION@@ARCHIVE_EXT@
  * d/gbp.conf: add upstream-signatures = on, track-missing = True

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 01 Jan 2024 10:58:09 +0100

tinyssh (20230101-4) unstable; urgency=medium

  * d/p/0004-implementation-kex-strict-s-v00-openssh.com-82.patch:
    backported key exchange protocol extension kex-strict-s-v00@openssh.com
    from the upstream. Mitigates CVE-2023-48795 "Terrapin attack".
    (Closes: 1059058)
  * d/t/10rekey added, tests SSH connection rekeying

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 20 Dec 2023 23:10:12 +0100

tinyssh (20230101-3) unstable; urgency=medium

  * Fix terminal connection if stdin is redirected to /dev/null (ssh -tt -n):
    * d/p/0001-channel_forkpty.c-fix-race-condition-79.patch add
    * d/p/0003-channel.c-ignore-SSH_MSG_CHANNEL_EOF-in-terminal-mod.patch add
    * d/t/09termexec add

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 17 Dec 2023 23:02:51 +0100

tinyssh (20230101-2) unstable; urgency=medium

  * d/t/05authorizedkeys fixed permissions when creating authorized_keys,
    tnx Lukas Mardian (Closes: 1034513)
  * d/t/{04sftp,05authorizedkeys,06transfer,07kex,08badauth} fixed tests,
    added short sleep to give tcpserver time to start, tnx Lukas Mardian
    (Closes: 1034512)
  * d/control: bump Standards-Version to 4.6.2, no changes

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 11 Jun 2023 09:12:38 +0200
