=== debian/tests/control ===
--- 
+++ 
@@ -22,3 +22,9 @@
 
 Tests: 08badauth
 Depends: openssh-client, tinysshd, ucspi-tcp
+
+Tests: 09termexec
+Depends: openssh-client, tinysshd, ucspi-tcp
+
+Tests: 10rekey
+Depends: openssh-client, tinysshd, ucspi-tcp
