=== debian/changelog ===
tinyssh (20241111-1) unstable; urgency=medium

  * New upstream version 20241111
  * d/control: bump Standards-Version to 4.7.0, no changes
  * d/p/0001-packet_put.c-include-global.h.patch: remove, fixed in upstream
  * d/rules: remove targets override_dh_auto_{configure,build,clean}
  * d/tinysshd.install: fix path
  * d/tinysshd.manpages: fix path
  * d/control: add B-D lib25519-dev, libnruprime-dev, librandombytes-dev

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 12 Nov 2024 00:21:13 +0100

tinyssh (20240101-3) unstable; urgency=medium

  * d/p/0001-packet_put.c-include-global.h.patch, fix FTBFS (Closes: #1066418)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 13 Mar 2024 20:07:05 +0100
