=== debian/control ===
--- 
+++ 
@@ -1,17 +1,24 @@
 Source: tinyssh
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends:
+ debhelper-compat (= 13),
+ lib25519-dev,
+ libntruprime-dev,
+ librandombytes-dev
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Homepage: https://mojzis.com/software/tinyssh/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/tinyssh.git
 Vcs-Browser: https://salsa.debian.org/debian/tinyssh
 Rules-Requires-Root: no
 
 Package: tinysshd
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: ssh-server
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Provides:
+ ssh-server
 Architecture: any
 Description: Tiny SSH server - daemon
  TinySSH is a minimalistic SSH server which implements only a subset of
