=== debian/changelog ===
tinyssh (20241201-1) unstable; urgency=medium

  * New upstream version 20241201
  * d/t: use 'ssh-keyscan -t ed25519' in tests, to minimize the number of
    warnings in the log
  * d/copyright: add copyright for cryptoint/*
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest
  * d/control: update homepage to https://github.com/janmojzis/tinyssh/
  * d/copyright: update homepage to https://github.com/janmojzis/tinyssh/
  * d/control: update maintainer to janmojzis@debian.org
  * d/t/valgrindtest.sh add

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 01 Dec 2024 16:18:32 +0100
