## tinyssh 20250126

=== debian/changelog ===
tinyssh (20250126-1) unstable; urgency=medium

  * New upstream version 20250126
  * d/copyright: bump my copyright year
  * d/copyright: update my email to "janmojzis@debian.org"

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 26 Jan 2025 21:56:43 +0100
